<?php
 /**
 *    This file is part of Critecia
 *    Copyright (C) 2011 Alexander Lang & Christian A. Reiter
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU Affero General Public License as
 *    published by the Free Software Foundation, either version 3 of the
 *    License, or (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Affero General Public License for more details.
 *
 *    You should have received a copy of the GNU Affero General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * @param $user array	the user data array, NOT the global array that is set in app_controller.
 *			it must be $this->data
  @param $action string "edit"/"add" to distinguish the current action
 */

//   debug($user);
for($a = 0; $a < 5; $a++) {
	if(isset($action) && $action == 'edit') {
		
		// if there is a phone saved at this position, else create one?
		// TODO: empty phone numbers should be deleted by the model during save
		if(isset($user['Userphone'][$a])) {
			echo $this->Form->input("Userphone.$a.id");
		}
	}
	$after = $a > 0 ? 
		$this->Html->image('22/delete.png', array(
				'title'=>'diese Telefonnummer löschen',
				'style'=>'margin-left: 0.4em;',
				'id' => "hide-Userphone${a}Phone",
		))
		:null
		;
	$style = $a > 0 ? 'display:none;' : null;
	echo $this->Form->input("Userphone.$a.phone",
		array(
			'label' => 'Handynummer '.($a+1),
			'style' => 'width:120px;',
			'after' => $after,
			'div' => array('style' => $style),
		)
	);
	if($a > 0 ) {
		$this->Js->get("img#hide-Userphone${a}Phone")->event('click',
			"$('input#Userphone${a}Phone').parent().fadeOut();
			 $('input#Userphone${a}Phone').val('');");
	}
	echo $this->Html->script('critecia', array('inline' => false));
}


?>
