<?php
 /**
 *    This file is part of Critecia
 *    Copyright (C) 2011 Alexander Lang & Christian A. Reiter
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU Affero General Public License as
 *    published by the Free Software Foundation, either version 3 of the
 *    License, or (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Affero General Public License for more details.
 *
 *    You should have received a copy of the GNU Affero General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
?>
<h2><?php echo $action == 'add'? 'Krankenhaus hinzufügen' : 'Krankenhaus bearbeiten'; ?></h2>
<?php echo $this->Form->create('Hospital');?>
<?php
echo '<div>';
if($action != 'add') echo $this->Form->input('id');
echo $this->Form->input('name', array('style' => 'width:250px'));
echo $this->Form->input('shortname', array('label'=>'Kurzname, z.B. "LKH Graz"', 'style' => 'width:80px'));
echo $this->Form->input('company', array('label'=>'Betreibergesellschaft/Holding'));
echo $this->Form->input('phone', array('label'=>'Telefonnummer'));
echo '<div>';
echo $this->Form->input('street', array(
	'label'=>'Straße', 
	'style' => 'width:250px', 
	'div' => array(
		'class' =>'input text input-street'
	)
));
echo $this->Form->input('streetnumber', array(
	'label'=>'Hausnummer',
	'style' => 'width:60px',
	'div' => array(
		'class' => 'input text input-streetnumber'
	)
));
echo '</div><div>';
echo $this->Form->input('postalcode', array(
	'label'=>'Postleitzahl', 
	'style' => 'width:60px', 
	'div' => array(
		'class' => 'input text input-postalcode'
	)
));
echo $this->Form->input('city', array(
	'label'=>'Ort/Stadt', 
	'div' => array(
		'class' =>'input text input-city'
	)
));
echo $this->Form->input('state', array('label'=>'Land'));
echo '</div><div>';
echo $this->Form->input('xcoord');
echo $this->Form->input('ycoord');
echo '</div>';
echo $this->Form->end('Speichern');
?>
