<?php
 /**
 *    This file is part of Critecia
 *    Copyright (C) 2011 Alexander Lang
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU Affero General Public License as
 *    published by the Free Software Foundation, either version 3 of the
 *    License, or (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Affero General Public License for more details.
 *
 *    You should have received a copy of the GNU Affero General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

?>
<div>
	<?php echo $this->Html->image('users.png', array('align'=>'right','style'=>'padding-top:20px;padding-bottom:15px;')); ?>
	<h2><?php 
		if ($prefix='global') {
			if(!$hospital) {
				echo 'Alle ';
			} else {
				echo $hospital['Hospital']['shortname'].' | ';
			}
		} else { // hospitals' departments
			if($current_hospital) echo $current_hospital['Hospital']['shortname'].' | ';
		}
		
	?>Benutzer (<?php echo count($users); ?>)</h2>	<?php  //TODO: Benutzer? Personen? TÄ? etc??>
	
	<table class="usertabelle">
	<?php foreach($users as $user): ?>
		<tr>
			<td class="user"><?php echo $user['User']['firstname'].' <b>'.$user['User']['lastname'].'</b>, '.$user['User']['title']; ?></td>
			<td class="edit"><?php
				// edit link
			  	echo $this->Html->link(
			    	$this->Html->image('22/user-edit.png'),
			    	array('action' => 'edit', $user['User']['id']),
			    	array('escape' => false, 'title' => 'Benutzer bearbeiten'));

				// delete link
			  	echo $this->Html->link($this->Html->image('22/user-delete.png'),
			    	array('action' => 'delete', $user['User']['id']),
			    	array('escape' => false, 'title' => 'Benutzer löschen'),
			    	'Willst du diesen Benutzer wirklich löschen ?');
			  ?>
			</td>
		</tr>
	<?php endforeach; ?>
	</table>
	<?php 
		$text = 'Neuen Benutzer erstellen'; //TODO: Benutzer? Personen? TÄ? etc?
		echo $this->element('add-item', array('text' => $text, 'class'=>'user', 
			'img' => '22/user-add.png', 'link'=>array('action'=>'add'))); ?>
</div>


