<?php
 /**
 *    showbirthdays.ctp - This file is part of Critecia
 *    Copyright (C) 2011 Alexander Lang
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU Affero General Public License as
 *    published by the Free Software Foundation, either version 3 of the
 *    License, or (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Affero General Public License for more details.
 *
 *    You should have received a copy of the GNU Affero General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

?>
<div>

	<h2>Geburtstagsliste:</h2>
	
	<table class="birthdaytable">
	
	<?php 
	
	$vormonat = NULL;

	foreach($users as $user): 
	
		$jahr = substr($user['User']['birthdate'],0,4);
		$mon  = substr($user['User']['birthdate'],5,2);
		$tag  = substr($user['User']['birthdate'],8,2);
		if ($vormonat != $mon) {
			$vormonat = $mon;
			echo '<tr><td colspan="2"><h4>'.$this->Chrotopterus->german_month($mon).'</h4></td></tr>';
		}
		
		$alter = (date('Y')-$jahr);
		if ((date('n') == $mon) and (date('j') >= $tag))
			$alter++;
		if (date('n') > $mon)
			$alter++;					
		echo '<tr><td class="datum">'.$tag.'. '.$this->Chrotopterus->german_month($mon).'</td><td class="user">'
			.$user['User']['firstname'].' <b>'.$user['User']['lastname']
			.'</b>&nbsp;&nbsp;&nbsp;('.$alter.' Jahre)</td></tr>';
		echo '<br/>';
	
	endforeach; 
	?>
	
	</table>
	<br/><br/><br/>
	<span style="color:#c0c0c0;">
	Hier findest du nur Kollegen/innen, die unter ihren persönlichen <br/>
	Daten auch ein Geburtsdatum angegeben habe...
	</span>
</div>	
