<?php
 /**
 *    showuser.ctp - This file is part of Critecia
 *    Copyright (C) 2011 Alexander Lang
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU Affero General Public License as
 *    published by the Free Software Foundation, either version 3 of the
 *    License, or (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Affero General Public License for more details.
 *
 *    You should have received a copy of the GNU Affero General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

?>
<div>

	<h2 style="margin-left:110px;"><?php  echo $user['User']['title'].' '.
					$user['User']['firstname'].' '.
					$user['User']['lastname']; ?></h2>
	
	<table class="normaltable">
		<tr>
			<td class="titlecolumn">Geburtsdatum:</td><td>
	<?php 
				// vor der Ausgabe rechen wir noch das Alter aus, bzw. den Geburtstag auf 
				// österreichische Datumsdarstellung um
				$jahr = substr($user['User']['birthdate'],0,4);
				$mon  = substr($user['User']['birthdate'],5,2);
				$tag  = substr($user['User']['birthdate'],8,2);
				$alter = (date('Y')-$jahr);
				$alter--;
				if ((date('n') == $mon) and (date('j') >= $tag))
					$alter++;
				if (date('n') > $mon)
					$alter++;					
				echo '<b>'.$tag.'.'.$mon.'.'.$jahr.'</b>&nbsp;&nbsp;&nbsp;('.$alter.' Jahre)';
	?>
			</td>
		</tr><tr>
			<td class="titlecolumn">
				eMail<?php if (count($user['Email']) > 1) echo 's'; ?>:
				</td><td width="*">
	<?php 
				if (count($user['Email']) == 0) { echo "keine eMail-Adresse eingetragen"; } else {
					// da brauchen wir jetzt ein paar Zeilen, um die eMails nach "primary" zu sortieren
					$emails = $user['Email'];
					$primary = NULL;
					foreach ($emails as $key => $row) {
						$primary[$key] = $row['primary'];
					}
					array_multisort($primary, SORT_DESC, $emails);
					
					// das array ist neu sortiert, jetzt gehts an die Ausgabe
					foreach($emails as $email) {
						if ($email['primary'] == 1)
							echo '<b>'.$email['email'].'</b><br/>';
						else
							echo $email['email'].'<br/>';
					}
				}
	?>
			</td>
		</tr><tr>
			<td class="titlecolumn">
				Telefonnummer<?php if (count($user['Userphone']) > 1) echo 'n'; ?>:
				</td><td width="*">
	<?php 
				if (count($user['Userphone']) == 0) { echo "keine Telefonnummer eingetragen"; } else {
					// da brauchen wir jetzt ein paar Zeilen, um die Telefonnummern nach "primary" zu sortieren
					$phones = $user['Userphone'];
					$primary = NULL;
					foreach ($phones as $key => $row) {
						$primary[$key] = $row['primary'];
					}
					array_multisort($primary, SORT_DESC, $phones);
					
					// das array ist neu sortiert, jetzt gehts an die Ausgabe
					foreach($phones as $phone) {
						if ($phone['primary'] == 1)
							echo '<b>'.$phone['phone'].'</b><br/>';
						else
							echo $phone['phone'].'<br/>';
					}
				}
	?>
			</td>
		</tr><tr>
			<td class="titlecolumn">
				Adresse<?php if (count($user['Useraddress']) > 1) echo 'n'; ?>:
				</td><td width="*">
	<?php 
				if (count($user['Useraddress']) == 0) { echo "keine Adresse eingetragen"; } else {
					// da brauchen wir jetzt ein paar Zeilen, um die Adressen nach "primary" zu sortieren
					$addresses = $user['Useraddress'];
					$primary = NULL;
					foreach ($addresses as $key => $row) {
						$primary[$key] = $row['primary'];
					}
					array_multisort($primary, SORT_DESC, $addresses);
					
					// das array ist neu sortiert, jetzt gehts an die Ausgabe
					foreach($addresses as $address) {
						if ($address['primary'] == 1)
							echo '<b>';
						echo '<p style="margin-bottom:7px;">'.$address['street'].' '.$address['streetnumber'].'<br/>'
							.$address['postalcode'].' '.$address['city'].'</p>';
						if ($address['primary'] == 1)
							echo '</b>';
					}
				}
	?>
			</td>
		</tr>
	</table>
</div>	
	
