//thanks to Soh Tanaka 
//modified from http://www.noupe.com/tutorial/drop-down-menu-jquery-css.html
$(document).ready(function(){  

	//only show drop down trigger when js is enabled (adds empty span tag after ul.subnav*)  
	$("ul.subnav").parent().append("<span>▼</span>"); 
	

	$("ul.topnav li").click(function() { //when item is clicked...  

		//the following events are applied to the subnav itself 
		$(this).parent().find("ul.subnav").show(); //Drop down the subnav on click  

		$(this).parent().hover(function(){}, function(){  
			//When the mouse hovers out of the subnav, move it back up  
			$(this).parent().find("ul.subnav").hide(); 
		});  

	//the following events are applied to the trigger (hover events for the trigger)  
	}).hover(function() {  
		$(this).addClass("subhover"); //on hover over, add class "subhover"  
	}, function(){  //on hover out  
		$(this).removeClass("subhover"); //on hover out, remove class "subhover"  
	});  

});   
