<?php
/**
 *    This file is part of Critecia
 *    Copyright (C) 2011 Alexander Lang & Christian A. Reiter
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU Affero General Public License as
 *    published by the Free Software Foundation, either version 3 of the
 *    License, or (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Affero General Public License for more details.
 *
 *    You should have received a copy of the GNU Affero General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

class MaintenancesController extends AppController {
	
	public $uses = array('User', 'Group', 'Right', 'Grant', 'Hospital');
	public $useTable = false;
	
	function beforeFilter() {
		parent::beforeFilter();
		
		//TODO: beforeFilter code
		
	}	
	
	public function index() {
		//TODO: index code
	}
	
	public function edit($id = null) {
		//TODO: edit code
	}
	
	public function view($id = null) {
		//TODO: view code
	}
	
	public function add() {
		//TODO: add code
	}
	
	public function delete() {
		//TODO: delete code
	}
	
	public function global_welcome() {
		$this->switchMode('system');
		$accessible_hospitals = $this->Session->read('Auth.User.AccessibleHospitals');
		$this->set('accessible_hospitals', $accessible_hospitals);
		
		// if there is only ONE hospital defined, select this automatically
		if(count($accessible_hospitals) == 1) {
			$keys = array_keys($accessible_hospitals);
			$this->updateActiveHospital($keys[0]);
		}
		$this->render('welcome');
	}
}