<?php
/**
 *    This file is part of Critecia
 *    Copyright (C) 2011 Alexander Lang & Christian A. Reiter
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU Affero General Public License as
 *    published by the Free Software Foundation, either version 3 of the
 *    License, or (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Affero General Public License for more details.
 *
 *    You should have received a copy of the GNU Affero General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * displays given text
 * @param $text string text to display
 * @param $link string link in normal cake format: array('controller'=>'foo', 'action'=>'bar', 2) or /foo/bar/2'
 * @param $class string	class of the div
 * @param $id string optional id of the div
 * @param $img string image to display - if not set, a default will be used
 **/

//TODO: make links optionally using AJAX

if(!isset($class)) $class = 'add-item';	 else $class = 'add-item add-item-'.$class;
if(!isset($text)) $text ='';
if(!isset($img)) $img = '22/document-add.png'; //TODO: check if given img file exists, else use default too!

echo '<div';
if(isset($class)) echo " class='$class'";
if(isset($id)) echo " id='$id'";
echo ">";

if(!isset($link)) {
	echo $text . $this->Html->image($img, array(
		'align' => 'right',
		'style' => 'padding-left:8px;'
	));
} else {
	echo $this->Html->link(
		$text .  $this->Html->image($img, 
			array(
				'align' => 'right',
				'style' => 'padding-left:8px;'
			)
		), 
		$link, 
		array('escape' => false));
}
echo '</div>';

?>
	