<?php
/**
 *    This file is part of Critecia
 *    Copyright (C) 2011 Alexander Lang & Christian A. Reiter
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU Affero General Public License as
 *    published by the Free Software Foundation, either version 3 of the
 *    License, or (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Affero General Public License for more details.
 *
 *    You should have received a copy of the GNU Affero General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

switch(count($accessible_hospitals)):
	case 0:
		echo 'Es ist kein Krankenhaus definiert. bitte erstellen Sie eines!';
		echo $this->element('add-item', array('text' => 'Neues Krankenhaus erstellen',
													  'link' => array(
														  'global' => true,
							   'controller' => 'hospitals',
							   'action' => 'add')));
		break;
	case 1: 
		echo 'Es ist nur ein Krankenhaus definiert, dieses wurde automatisch ausgewählt: <b>';
		echo $current_hospital['Hospital']['shortname'];
		echo '</b>';
		break;
	default: 
		echo 'Bitte wählen Sie ein Krankenhaus aus:<br/>
		Das aktive Krankenhaus kann jederzeit über das Menü am oberen Bildschirmrand geändert werden.';
		
endswitch; ?>
<ul id="welcome_hospital_select">

<?php
if (!empty($accessible_hospitals)):

	if(count($accessible_hospitals) === 1) {
	
	} else {
		foreach($accessible_hospitals as $id => $name) {
			echo '<li>';
			echo $this->Html->link($name,
								array('global' => true,
									'controller' => 'hospitals',
									'action' => 'set_active',
									$id,
									'hospitals', 'view', $id // goto index after set_active
								));
			echo '</li>';
		}
	}?>

<?php endif; ?>
</ul>
		
		