<?php 
 /**
 *    This file is part of Critecia
 *    Copyright (C) 2011 Christian A. Reiter
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU Affero General Public License as
 *    published by the Free Software Foundation, either version 3 of the
 *    License, or (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Affero General Public License for more details.
 *
 *    You should have received a copy of the GNU Affero General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
?>
<h2>Rotation</h2>
Für welchen Monat soll eine Rotationsplanung erstellt werden?
<table class="rotation_table" id="select_rotation_month_table">
  <tbody>
    <tr>
      <?php
	$months = array();
	$current_date = date("Y-m-d"); 
	$months_to_show = 12;
	$finished=false;
	$date = $current_date;
	while($months_to_show):?>
	  <td><?php echo $this->Html->link(date("F",strtotime($date)) . " " . date("Y",strtotime($date)),
	    array(
	      'global' => false,
	      'controller'=> 'slots',
	      'action' => 'add_month_schedule',
	      date("Y",strtotime($date)),
	      date("m",strtotime($date))
	      ));?></td>
	  <?php
	    $months_to_show--;
	    $date = date("Y-m-d",strtotime($date . " + 1 months"));
	  ?>
	<?php endwhile;?>
    </tr>
  </tbody>
</table>
