<?php
 /**
 *    showphones.ctp - This file is part of Critecia
 *    Copyright (C) 2011 Alexander Lang
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU Affero General Public License as
 *    published by the Free Software Foundation, either version 3 of the
 *    License, or (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Affero General Public License for more details.
 *
 *    You should have received a copy of the GNU Affero General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

?>
<div>

	<h2>Telefonnummern:</h2>
	
	<table class="phonetable">
	<?php foreach($users as $user): ?>
		<tr>
			<td class="user"> 
	<?php 
				if (count($user['Userphone']) == 0) { echo '<span class="keinenummer">'; }
				echo $user['User']['firstname'].' <b>'.$user['User']['lastname'].'</b>: ';
				
				if (count($user['Userphone']) == 0) { echo "keine Telefonnummer angegeben"; } else {
					// da brauchen wir jetzt ein paar Zeilen, um die Nummern nach "primary" zu sortieren
					$phones = $user['Userphone'];
					$primary = NULL;
					foreach ($phones as $key => $row) {
						$primary[$key] = $row['primary'];
					}
					array_multisort($primary, SORT_DESC, $phones);
					
					// das array ist neu sortiert, jetzt gehts an die Ausgabe
					$temp = NULL;
					foreach($phones as $phone) {
						$temp .= $phone['phone'].' • ';
					}
					$temp = substr($temp, 0, strlen($temp)-5);
					echo $temp;
				}
				if (count($user['Userphone']) == 0) { echo '</span>'; }
	?>			
			</td>
		</tr>
	<?php endforeach; ?>
	</table>
</div>	
